package org.sonar.plugins.findbugs.xml;

import com.thoughtworks.xstream.annotations.*;

@XStreamAlias("Bug")
class Bug {

  @XStreamAsAttribute
  private String pattern;

  public Bug() {
  }

  public Bug(String pattern) {
    this.pattern = pattern;
  }

  public String getPattern() {
    return pattern;
  }

  public void setPattern(String pattern) {
    this.pattern = pattern;
  }
}
