package org.sonar.plugins.findbugs.xml;

import com.thoughtworks.xstream.annotations.XStreamAlias;

@XStreamAlias("Match")
class Match {

  @XStreamAlias("Bug")
  private Bug bug;

  Match() {
  }

  public Match(Bug bug) {
    this.bug = bug;
  }

  public Bug getBug() {
    return bug;
  }

  public void setBug(Bug bug) {
    this.bug = bug;
  }
}
